API ReferenceWebhooks
Get Webhook
Retrieve a webhook subscription by ID.
Endpoint
GET /v1/webhooks/{id}Base URL: https://api-id.avnology.net
Authentication: API Key or OAuth token
Request
curl -X GET "https://api-id.avnology.net/v1/webhooks/{id}" \\
-H "Authorization: Bearer ak_live_..." \\
Response
Returns the appropriate response. See API Overview for format.
Errors
| Status | Code | Description |
|---|---|---|
| 404 | AVNOLOGY_AUTH_901 | Resource not found |
| 403 | AVNOLOGY_AUTH_100 | Insufficient permissions |
Code Examples
JavaScript (fetch)
const response = await fetch('https://api-id.avnology.net/v1/webhooks/{id}', {
method: 'GET',
headers: { 'Authorization': 'Bearer ' + apiKey, 'Content-Type': 'application/json' },
});Python (httpx)
import httpx
response = httpx.request("GET", "https://api-id.avnology.net/v1/webhooks/{id}",
headers={"Authorization": f"Bearer {api_key}"Go (net/http)
req, _ := http.NewRequestWithContext(ctx, "GET", "https://api-id.avnology.net/v1/webhooks/{id}", nil)
req.Header.Set("Authorization", "Bearer "+apiKey)
resp, err